Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 707726

Summary: sys-fs/fatsort-1.5.0 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Daniel Pielmeier <billie>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
sys-fs:fatsort-1.5.0:20200201-030943.log
temp.tbz2

Description Toralf Förster gentoo-dev 2020-02-01 09:22:19 UTC
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -c natstrcmp.c -o natstrcmp.o
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -c stringlist.c -o stringlist.o
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -c regexlist.c -o regexlist.o
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed fatsort.o FAT_fs.o fileio.o endianness.o signal.o entrylist.o errors.o options.o clusterchain.o sort.o misc.o natstrcmp.o stringlist.o regexlist.o  -o fatsort
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: entrylist.o:(.bss+0x0): multiple definition of `OPT_LOCALE'; fatsort.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: options.o:(.bss+0x78): multiple definition of `OPT_LOCALE'; fatsort.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200126-201521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 01 Feb 2020 02:47:52 +0000

emerge -qpvO sys-fs/fatsort
[ebuild  N    ] sys-fs/fatsort-1.5.0
Comment 1 Toralf Förster gentoo-dev 2020-02-01 09:22:22 UTC
Created attachment 610274 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-01 09:22:25 UTC
Created attachment 610276 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-01 09:22:28 UTC
Created attachment 610278 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-01 09:22:30 UTC
Created attachment 610280 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-01 09:22:33 UTC
Created attachment 610282 [details]
sys-fs:fatsort-1.5.0:20200201-030943.log
Comment 6 Toralf Förster gentoo-dev 2020-02-01 09:22:36 UTC
Created attachment 610284 [details]
temp.tbz2
Comment 7 Daniel Pielmeier gentoo-dev 2020-05-01 10:48:43 UTC
Fixed in Git. Thanks for the report.